{
===============================================================================
  Copyright (©) 2007. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 
  Versión actual: 1.0.0
  Fecha versión actual: 
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
===============================================================================
}

unit uBizPagosCliente;

interface

uses
  uDAInterfaces, uDADataTable, uDBSelectionListUtils, schRecibosClienteClient_Intf;

const
  BIZ_CLIENT_IBIZPAGOSCLIENTE = 'Client.IBizPagosCliente';

  CTE_PAGO = 'Pago';
  CTE_DEVOLUCION = 'Devolución';

type
  IBizPagosCliente = interface(IPagosCliente)
  ['{F53F105E-83B5-4EB8-94CA-EA7E470D26F7}']
  end;

  TBizPagosCliente = class(TPagosClienteDataTableRules, IBizPagosCliente)
  private
    ContIdAux: Integer;
  protected
    procedure OnNewRecord(Sender: TDADataTable); override;
  public
    constructor Create(aDataTable: TDADataTable); override;
  end;

implementation

uses
  SysUtils, uDataTableUtils;

{ TBizPagosCliente }

constructor TBizPagosCliente.Create(aDataTable: TDADataTable);
begin
  inherited Create(aDataTable);
  ContIdAux := -1;
end;

procedure TBizPagosCliente.OnNewRecord(Sender: TDADataTable);
begin
  inherited;
  ID := ContIdAux; // -1, -2, -3...
  Dec(ContIdAux);
end;

initialization
  RegisterDataTableRules(BIZ_CLIENT_IBIZPAGOSCLIENTE, TBizPagosCliente);

finalization

end.

